%global momorel 2

Name: telepathy-farsight
Version: 0.0.14
Release: %{momorel}m%{?dist}
Summary: Telepathy farsight
URL: http://telepathy.freedesktop.org/wiki/
Group: System Environment/Base
License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource: 0

BuildRequires: glib2-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: telepathy-glib-devel
BuildRequires: farsight2-devel >= 0.0.17
BuildRequires: pygobject-devel

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.
#'

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
gtkdocize --copy
autoreconf -vfi

%configure \
    --enable-gtk-doc \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_libdir}/python2.6/site-packages/*.so
%{_libdir}/python2.6/site-packages/*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/telepathy-1.0/telepathy-farsight
%{_libdir}/*.so
%{_libdir}/pkgconfig/telepathy-farsight.pc
%{_datadir}/gtk-doc/html/telepathy-farsight

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.14-2m)
- full rebuild for mo7 release

* Fri Jun 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14-1m)
- update to 0.0.14

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.13-2m)
- use BuildRequires

* Sat Jan 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-1m)
- update to 0.0.13

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.11-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.11-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.9-1m)
- update to 0.0.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.9-1m)
- update to 0.0.9

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.7-1m)
- update to 0.0.7

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.4-1m)
- initial build

